unit frmuTargetTableName;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TfrmTargetTableName = class(TForm)
    Bevel1: TBevel;
    OkBtn: TBitBtn;
    edtTargetTableName: TEdit;
    procedure OkBtnClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure edtTargetTableNameKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function BS_GetTargetTableName:String;

var
  frmTargetTableName: TfrmTargetTableName;

implementation

{$R *.DFM}

function BS_GetTargetTableName:String;
begin
  try
    if Not Assigned(frmTargetTableName) then
      frmTargetTableName:=TfrmTargetTableName.Create(Application);
    frmTargetTableName.ShowModal;
    Result:=frmTargetTableName.edtTargetTableName.Text;
  finally
    frmTargetTableName.Free;
    frmTargetTableName:=nil;
  end;
end;

procedure TfrmTargetTableName.OkBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmTargetTableName.FormShow(Sender: TObject);
begin
  edtTargetTableName.SetFocus;
end;

procedure TfrmTargetTableName.edtTargetTableNameKeyDown(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  Case Key of
    13: OkBtnClick(Sender);
  end;
end;

end.
